Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 212721

Summary: media-libs/libgphoto2-2.4.0-r1 fails to emerge w/ sys-devel/libtool-2.2
Product: Gentoo Linux Reporter: Geert Vanhaute <geevh>
Component: New packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: alexxy, aspotashev, dkarasik, genehack, gentoo.bugzilla, graphics+disabled, leonidp.lists, m.debruijne, rose, teidakankan, tmokros
Priority: High    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 212763    
Attachments: libgphoto2 build log
config.log for libgphoto2-2.4.1

Description Geert Vanhaute 2008-03-08 15:06:07 UTC
media-libs/libgphoto2-2.4.0-r1 fails to emerge
I tried with CAMERAS="directory lg_gsm" and with CAMERAS=""

Reproducible: Always

Steps to Reproduce:
1.emerge -av1 media-libs/libgphoto2
2.
3.

Actual Results:  
see attached build log

Expected Results:  
compile and install

# emerge --info
Portage 2.1.4.4 (default-linux/amd64/2007.0/desktop, gcc-4.2.3, glibc-2.7-r1, 2.6.24-zen1 x86_64)
=================================================================
System uname: 2.6.24-zen1 x86_64 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz
Timestamp of tree: Sat, 08 Mar 2008 14:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.5
dev-lang/python:     2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -mtune=generic -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/initng/daemon /etc/initng/net /etc/initng/system /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=nocona -mtune=generic -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/ http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://mirror.bytemark.co.uk/gentoo/"
LANG="C"
LC_ALL="C"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en en_GB nl"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/portato /usr/portage/local/layman/java-experimental /usr/portage/local/layman/custom-kernels /usr/portage/local/layman/einit /usr/portage/local/layman/initng /usr/portage/local/layman/arcon /usr/portage/local/layman/science /usr/local/portage /usr/portage/local/layman/portato /usr/portage/local/layman/java-experimental /usr/portage/local/layman/sunrise /usr/portage/local/layman/custom-kernels /usr/portage/local/layman/einit /usr/portage/local/layman/initng /usr/portage/local/layman/arcon /usr/portage/local/layman/science"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi alsa amd64 amr amrnb amrwb apm automount avahi bash-completion berkdb binary-drivers bluetooth branding browser bzip2 cairo caps cdda cddb cdparanoia cdr cli cpudetection cracklib crypt cups curl dbus directfb divx dts dvd dvdnav dvdr dvdread eds emboss emerald enchant encode equalizer esd evo exif extrafilters fam fbcon fbcondecor ffmpeg fftw firefox flac fontconfig fortran gd gdbm gif gimp gksu glitz gmedia gnome gphoto2 gpm gstreamer gtk hal hddtemp iconv id3tag imap imlib irmc isdnlog jack java javascript jbig jpeg jpeg2k ladcca lcms libnotify libsexy libwww lm_sensors logrotate mad mdnsresponder-compat midi mikmod mmkeys mmx mmxext mng mp160 mp2 mp3 mpeg mplayer mplayer-bin mudflap musepack ncurses nls nptl nptlonly nsplugin ntfs nvidia objc objc++ objc-gc ogg opengl openmp oss pam paste64 pcre pda pdf perl plugins png pop pppd python quicktime readline realmedia reflection reiser4 rfkill rt61pci rtc rtsp sdl sdl-image sensord session skins smp sms sounds spell spl srt sse sse2 ssl subtitles svg swat sysfs tcpd test-programs threads threadsafe tiff tk totem tracker trayicon truetype twolame um unicode unsupported upnp usb userlocales userpriv vorbis winbind wma wmf wmp wxwindows x264 xcb xcomposite xml xorg xosd xprint xrandr xscreensaver xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="directory lg_gsm" ELIBC="glibc" INITNG_PLUGINS="also bash_launcher chdir chroot conflict cpout critical ctrlaltdel daemon_clean debug_commands envparser find fmon fstat history idleprobe initctl interactive iparser last limit lockfile logfile netdev netprobe ngc4 ngcs nge pause provide reload renice rlparser simple_launcher stcmd stdout suid syncron syslog sysreq unneeded usplash dbus_event" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB nl" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Geert Vanhaute 2008-03-08 15:06:55 UTC
Created attachment 145559 [details]
libgphoto2 build log
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2008-03-08 15:11:46 UTC
<snip>
checking for ltdl.h... yes
checking for lt_dlcaller_register in -lltdl... no
configure: error:
libgphoto2 requires the ltdl library, included with libtool
</snip>
Comment 3 Rafał Mużyło 2008-03-08 19:33:46 UTC
And a snip from NEWS of libtool 2.2:
New in 2.1b: 2008-02-01; CVS version 2.1a...
Removed deprecated APIs from libltdl: lt_dlcaller_register...
Comment 4 teidakankan 2008-04-02 07:13:14 UTC
.... and with libtool-2.2.2 .....
Comment 5 Gilles Dartiguelongue gentoo-dev 2008-04-02 08:31:57 UTC
please test the newer 2.4.1. I haven't seen anything about this is in NEWS though.
Comment 6 Juergen Rose 2008-04-02 12:55:22 UTC
I get the same error with libgphoto2-2.4.1

checking for lt_dlcaller_register in -lltdl... no
configure: error:
libgphoto2 requires the ltdl library, included with libtool

Please make sure that the proper development package is installed
(libltdl-dev, libtool-ltdl-devel, etc.)


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/libgphoto2-2.4.1/work/libgphoto2-2.4.1/config.log
 * 
 * ERROR: media-libs/libgphoto2-2.4.1 failed.
Comment 7 Juergen Rose 2008-04-02 12:58:50 UTC
Created attachment 148080 [details]
config.log for libgphoto2-2.4.1
Comment 8 Andreas Sundebo 2008-04-02 15:06:21 UTC
This link proposes a solution: http://sourceforge.net/tracker/index.php?func=detail&aid=1906117&group_id=8874&atid=108874

You can compile libgphoto2 by adding the following line to the top of the src_compile stage in the ebuild:
export ac_cv_lib_ltdl_lt_dlcaller_register=yes

I modified my local version of the ebuild this way and libgphoto2 now builds successfully.
Comment 9 Rafał Mużyło 2008-04-04 16:03:20 UTC
Please, NEVER call a hack a fix.
While I haven't tried to build libgphoto2 the above seems to suggest that while it is checking for lt_dlcaller_register, it never actually uses it.
If that's the case, correct upstream solution would be simply to check for a different function in libltdl.
As this ebuild already uses eautoreconf, only thing needed is a probably trivial patch to gp-libltdl.m4, doing just that.
Comment 10 Gilles Dartiguelongue gentoo-dev 2008-04-05 23:32:17 UTC
hopefully fixed in 2.4.1, please reopen if it's not the case and give me a symbol that is common to libtool 2.2 and previous libtool releases.